hwloc_topology_diff_obj_attr_u Union Reference
Topology differences

`#include <diff.h>`

## Data Structures

struct | hwloc_topology_diff_obj_attr_generic_s
struct | hwloc_topology_diff_obj_attr_uint64_s
struct | hwloc_topology_diff_obj_attr_string_s

## Data Fields

struct hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_generic_s | generic
struct hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s | uint64
struct hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s | string

## Detailed Description

One object attribute difference.

## Field Documentation

## generic

struct hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_generic_s hwloc_topology_diff_obj_attr_u::generic

## string

struct hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s hwloc_topology_diff_obj_attr_u::string

## uint64

struct hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s hwloc_topology_diff_obj_attr_u::uint64

The documentation for this union was generated from the following file:

- diff.h